/*******************************************************************************
* File Name: HVReadyBit.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HVReadyBit_H) /* Pins HVReadyBit_H */
#define CY_PINS_HVReadyBit_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HVReadyBit_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    HVReadyBit_Write(uint8 value) ;
void    HVReadyBit_SetDriveMode(uint8 mode) ;
uint8   HVReadyBit_ReadDataReg(void) ;
uint8   HVReadyBit_Read(void) ;
uint8   HVReadyBit_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define HVReadyBit_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define HVReadyBit_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define HVReadyBit_DM_RES_UP          PIN_DM_RES_UP
#define HVReadyBit_DM_RES_DWN         PIN_DM_RES_DWN
#define HVReadyBit_DM_OD_LO           PIN_DM_OD_LO
#define HVReadyBit_DM_OD_HI           PIN_DM_OD_HI
#define HVReadyBit_DM_STRONG          PIN_DM_STRONG
#define HVReadyBit_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define HVReadyBit_MASK               HVReadyBit__MASK
#define HVReadyBit_SHIFT              HVReadyBit__SHIFT
#define HVReadyBit_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HVReadyBit_PS                     (* (reg8 *) HVReadyBit__PS)
/* Data Register */
#define HVReadyBit_DR                     (* (reg8 *) HVReadyBit__DR)
/* Port Number */
#define HVReadyBit_PRT_NUM                (* (reg8 *) HVReadyBit__PRT) 
/* Connect to Analog Globals */                                                  
#define HVReadyBit_AG                     (* (reg8 *) HVReadyBit__AG)                       
/* Analog MUX bux enable */
#define HVReadyBit_AMUX                   (* (reg8 *) HVReadyBit__AMUX) 
/* Bidirectional Enable */                                                        
#define HVReadyBit_BIE                    (* (reg8 *) HVReadyBit__BIE)
/* Bit-mask for Aliased Register Access */
#define HVReadyBit_BIT_MASK               (* (reg8 *) HVReadyBit__BIT_MASK)
/* Bypass Enable */
#define HVReadyBit_BYP                    (* (reg8 *) HVReadyBit__BYP)
/* Port wide control signals */                                                   
#define HVReadyBit_CTL                    (* (reg8 *) HVReadyBit__CTL)
/* Drive Modes */
#define HVReadyBit_DM0                    (* (reg8 *) HVReadyBit__DM0) 
#define HVReadyBit_DM1                    (* (reg8 *) HVReadyBit__DM1)
#define HVReadyBit_DM2                    (* (reg8 *) HVReadyBit__DM2) 
/* Input Buffer Disable Override */
#define HVReadyBit_INP_DIS                (* (reg8 *) HVReadyBit__INP_DIS)
/* LCD Common or Segment Drive */
#define HVReadyBit_LCD_COM_SEG            (* (reg8 *) HVReadyBit__LCD_COM_SEG)
/* Enable Segment LCD */
#define HVReadyBit_LCD_EN                 (* (reg8 *) HVReadyBit__LCD_EN)
/* Slew Rate Control */
#define HVReadyBit_SLW                    (* (reg8 *) HVReadyBit__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HVReadyBit_PRTDSI__CAPS_SEL       (* (reg8 *) HVReadyBit__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HVReadyBit_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HVReadyBit__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HVReadyBit_PRTDSI__OE_SEL0        (* (reg8 *) HVReadyBit__PRTDSI__OE_SEL0) 
#define HVReadyBit_PRTDSI__OE_SEL1        (* (reg8 *) HVReadyBit__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HVReadyBit_PRTDSI__OUT_SEL0       (* (reg8 *) HVReadyBit__PRTDSI__OUT_SEL0) 
#define HVReadyBit_PRTDSI__OUT_SEL1       (* (reg8 *) HVReadyBit__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HVReadyBit_PRTDSI__SYNC_OUT       (* (reg8 *) HVReadyBit__PRTDSI__SYNC_OUT) 


#if defined(HVReadyBit__INTSTAT)  /* Interrupt Registers */

    #define HVReadyBit_INTSTAT                (* (reg8 *) HVReadyBit__INTSTAT)
    #define HVReadyBit_SNAP                   (* (reg8 *) HVReadyBit__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins HVReadyBit_H */


/* [] END OF FILE */
