/*******************************************************************************
* File Name: HV_30VDC.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HV_30VDC_H) /* Pins HV_30VDC_H */
#define CY_PINS_HV_30VDC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HV_30VDC_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    HV_30VDC_Write(uint8 value) ;
void    HV_30VDC_SetDriveMode(uint8 mode) ;
uint8   HV_30VDC_ReadDataReg(void) ;
uint8   HV_30VDC_Read(void) ;
uint8   HV_30VDC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define HV_30VDC_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define HV_30VDC_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define HV_30VDC_DM_RES_UP          PIN_DM_RES_UP
#define HV_30VDC_DM_RES_DWN         PIN_DM_RES_DWN
#define HV_30VDC_DM_OD_LO           PIN_DM_OD_LO
#define HV_30VDC_DM_OD_HI           PIN_DM_OD_HI
#define HV_30VDC_DM_STRONG          PIN_DM_STRONG
#define HV_30VDC_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define HV_30VDC_MASK               HV_30VDC__MASK
#define HV_30VDC_SHIFT              HV_30VDC__SHIFT
#define HV_30VDC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HV_30VDC_PS                     (* (reg8 *) HV_30VDC__PS)
/* Data Register */
#define HV_30VDC_DR                     (* (reg8 *) HV_30VDC__DR)
/* Port Number */
#define HV_30VDC_PRT_NUM                (* (reg8 *) HV_30VDC__PRT) 
/* Connect to Analog Globals */                                                  
#define HV_30VDC_AG                     (* (reg8 *) HV_30VDC__AG)                       
/* Analog MUX bux enable */
#define HV_30VDC_AMUX                   (* (reg8 *) HV_30VDC__AMUX) 
/* Bidirectional Enable */                                                        
#define HV_30VDC_BIE                    (* (reg8 *) HV_30VDC__BIE)
/* Bit-mask for Aliased Register Access */
#define HV_30VDC_BIT_MASK               (* (reg8 *) HV_30VDC__BIT_MASK)
/* Bypass Enable */
#define HV_30VDC_BYP                    (* (reg8 *) HV_30VDC__BYP)
/* Port wide control signals */                                                   
#define HV_30VDC_CTL                    (* (reg8 *) HV_30VDC__CTL)
/* Drive Modes */
#define HV_30VDC_DM0                    (* (reg8 *) HV_30VDC__DM0) 
#define HV_30VDC_DM1                    (* (reg8 *) HV_30VDC__DM1)
#define HV_30VDC_DM2                    (* (reg8 *) HV_30VDC__DM2) 
/* Input Buffer Disable Override */
#define HV_30VDC_INP_DIS                (* (reg8 *) HV_30VDC__INP_DIS)
/* LCD Common or Segment Drive */
#define HV_30VDC_LCD_COM_SEG            (* (reg8 *) HV_30VDC__LCD_COM_SEG)
/* Enable Segment LCD */
#define HV_30VDC_LCD_EN                 (* (reg8 *) HV_30VDC__LCD_EN)
/* Slew Rate Control */
#define HV_30VDC_SLW                    (* (reg8 *) HV_30VDC__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HV_30VDC_PRTDSI__CAPS_SEL       (* (reg8 *) HV_30VDC__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HV_30VDC_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HV_30VDC__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HV_30VDC_PRTDSI__OE_SEL0        (* (reg8 *) HV_30VDC__PRTDSI__OE_SEL0) 
#define HV_30VDC_PRTDSI__OE_SEL1        (* (reg8 *) HV_30VDC__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HV_30VDC_PRTDSI__OUT_SEL0       (* (reg8 *) HV_30VDC__PRTDSI__OUT_SEL0) 
#define HV_30VDC_PRTDSI__OUT_SEL1       (* (reg8 *) HV_30VDC__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HV_30VDC_PRTDSI__SYNC_OUT       (* (reg8 *) HV_30VDC__PRTDSI__SYNC_OUT) 


#if defined(HV_30VDC__INTSTAT)  /* Interrupt Registers */

    #define HV_30VDC_INTSTAT                (* (reg8 *) HV_30VDC__INTSTAT)
    #define HV_30VDC_SNAP                   (* (reg8 *) HV_30VDC__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins HV_30VDC_H */


/* [] END OF FILE */
