/*******************************************************************************
* File Name: HV_Mon.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HV_Mon_H) /* Pins HV_Mon_H */
#define CY_PINS_HV_Mon_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HV_Mon_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    HV_Mon_Write(uint8 value) ;
void    HV_Mon_SetDriveMode(uint8 mode) ;
uint8   HV_Mon_ReadDataReg(void) ;
uint8   HV_Mon_Read(void) ;
uint8   HV_Mon_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define HV_Mon_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define HV_Mon_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define HV_Mon_DM_RES_UP          PIN_DM_RES_UP
#define HV_Mon_DM_RES_DWN         PIN_DM_RES_DWN
#define HV_Mon_DM_OD_LO           PIN_DM_OD_LO
#define HV_Mon_DM_OD_HI           PIN_DM_OD_HI
#define HV_Mon_DM_STRONG          PIN_DM_STRONG
#define HV_Mon_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define HV_Mon_MASK               HV_Mon__MASK
#define HV_Mon_SHIFT              HV_Mon__SHIFT
#define HV_Mon_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HV_Mon_PS                     (* (reg8 *) HV_Mon__PS)
/* Data Register */
#define HV_Mon_DR                     (* (reg8 *) HV_Mon__DR)
/* Port Number */
#define HV_Mon_PRT_NUM                (* (reg8 *) HV_Mon__PRT) 
/* Connect to Analog Globals */                                                  
#define HV_Mon_AG                     (* (reg8 *) HV_Mon__AG)                       
/* Analog MUX bux enable */
#define HV_Mon_AMUX                   (* (reg8 *) HV_Mon__AMUX) 
/* Bidirectional Enable */                                                        
#define HV_Mon_BIE                    (* (reg8 *) HV_Mon__BIE)
/* Bit-mask for Aliased Register Access */
#define HV_Mon_BIT_MASK               (* (reg8 *) HV_Mon__BIT_MASK)
/* Bypass Enable */
#define HV_Mon_BYP                    (* (reg8 *) HV_Mon__BYP)
/* Port wide control signals */                                                   
#define HV_Mon_CTL                    (* (reg8 *) HV_Mon__CTL)
/* Drive Modes */
#define HV_Mon_DM0                    (* (reg8 *) HV_Mon__DM0) 
#define HV_Mon_DM1                    (* (reg8 *) HV_Mon__DM1)
#define HV_Mon_DM2                    (* (reg8 *) HV_Mon__DM2) 
/* Input Buffer Disable Override */
#define HV_Mon_INP_DIS                (* (reg8 *) HV_Mon__INP_DIS)
/* LCD Common or Segment Drive */
#define HV_Mon_LCD_COM_SEG            (* (reg8 *) HV_Mon__LCD_COM_SEG)
/* Enable Segment LCD */
#define HV_Mon_LCD_EN                 (* (reg8 *) HV_Mon__LCD_EN)
/* Slew Rate Control */
#define HV_Mon_SLW                    (* (reg8 *) HV_Mon__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HV_Mon_PRTDSI__CAPS_SEL       (* (reg8 *) HV_Mon__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HV_Mon_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HV_Mon__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HV_Mon_PRTDSI__OE_SEL0        (* (reg8 *) HV_Mon__PRTDSI__OE_SEL0) 
#define HV_Mon_PRTDSI__OE_SEL1        (* (reg8 *) HV_Mon__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HV_Mon_PRTDSI__OUT_SEL0       (* (reg8 *) HV_Mon__PRTDSI__OUT_SEL0) 
#define HV_Mon_PRTDSI__OUT_SEL1       (* (reg8 *) HV_Mon__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HV_Mon_PRTDSI__SYNC_OUT       (* (reg8 *) HV_Mon__PRTDSI__SYNC_OUT) 


#if defined(HV_Mon__INTSTAT)  /* Interrupt Registers */

    #define HV_Mon_INTSTAT                (* (reg8 *) HV_Mon__INTSTAT)
    #define HV_Mon_SNAP                   (* (reg8 *) HV_Mon__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins HV_Mon_H */


/* [] END OF FILE */
