/*******************************************************************************
* File Name: InputEnable.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_InputEnable_H) /* Pins InputEnable_H */
#define CY_PINS_InputEnable_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "InputEnable_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    InputEnable_Write(uint8 value) ;
void    InputEnable_SetDriveMode(uint8 mode) ;
uint8   InputEnable_ReadDataReg(void) ;
uint8   InputEnable_Read(void) ;
uint8   InputEnable_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define InputEnable_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define InputEnable_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define InputEnable_DM_RES_UP          PIN_DM_RES_UP
#define InputEnable_DM_RES_DWN         PIN_DM_RES_DWN
#define InputEnable_DM_OD_LO           PIN_DM_OD_LO
#define InputEnable_DM_OD_HI           PIN_DM_OD_HI
#define InputEnable_DM_STRONG          PIN_DM_STRONG
#define InputEnable_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define InputEnable_MASK               InputEnable__MASK
#define InputEnable_SHIFT              InputEnable__SHIFT
#define InputEnable_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define InputEnable_PS                     (* (reg8 *) InputEnable__PS)
/* Data Register */
#define InputEnable_DR                     (* (reg8 *) InputEnable__DR)
/* Port Number */
#define InputEnable_PRT_NUM                (* (reg8 *) InputEnable__PRT) 
/* Connect to Analog Globals */                                                  
#define InputEnable_AG                     (* (reg8 *) InputEnable__AG)                       
/* Analog MUX bux enable */
#define InputEnable_AMUX                   (* (reg8 *) InputEnable__AMUX) 
/* Bidirectional Enable */                                                        
#define InputEnable_BIE                    (* (reg8 *) InputEnable__BIE)
/* Bit-mask for Aliased Register Access */
#define InputEnable_BIT_MASK               (* (reg8 *) InputEnable__BIT_MASK)
/* Bypass Enable */
#define InputEnable_BYP                    (* (reg8 *) InputEnable__BYP)
/* Port wide control signals */                                                   
#define InputEnable_CTL                    (* (reg8 *) InputEnable__CTL)
/* Drive Modes */
#define InputEnable_DM0                    (* (reg8 *) InputEnable__DM0) 
#define InputEnable_DM1                    (* (reg8 *) InputEnable__DM1)
#define InputEnable_DM2                    (* (reg8 *) InputEnable__DM2) 
/* Input Buffer Disable Override */
#define InputEnable_INP_DIS                (* (reg8 *) InputEnable__INP_DIS)
/* LCD Common or Segment Drive */
#define InputEnable_LCD_COM_SEG            (* (reg8 *) InputEnable__LCD_COM_SEG)
/* Enable Segment LCD */
#define InputEnable_LCD_EN                 (* (reg8 *) InputEnable__LCD_EN)
/* Slew Rate Control */
#define InputEnable_SLW                    (* (reg8 *) InputEnable__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define InputEnable_PRTDSI__CAPS_SEL       (* (reg8 *) InputEnable__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define InputEnable_PRTDSI__DBL_SYNC_IN    (* (reg8 *) InputEnable__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define InputEnable_PRTDSI__OE_SEL0        (* (reg8 *) InputEnable__PRTDSI__OE_SEL0) 
#define InputEnable_PRTDSI__OE_SEL1        (* (reg8 *) InputEnable__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define InputEnable_PRTDSI__OUT_SEL0       (* (reg8 *) InputEnable__PRTDSI__OUT_SEL0) 
#define InputEnable_PRTDSI__OUT_SEL1       (* (reg8 *) InputEnable__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define InputEnable_PRTDSI__SYNC_OUT       (* (reg8 *) InputEnable__PRTDSI__SYNC_OUT) 


#if defined(InputEnable__INTSTAT)  /* Interrupt Registers */

    #define InputEnable_INTSTAT                (* (reg8 *) InputEnable__INTSTAT)
    #define InputEnable_SNAP                   (* (reg8 *) InputEnable__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins InputEnable_H */


/* [] END OF FILE */
