/*******************************************************************************
* File Name: OverVFault.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OverVFault_H) /* Pins OverVFault_H */
#define CY_PINS_OverVFault_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OverVFault_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    OverVFault_Write(uint8 value) ;
void    OverVFault_SetDriveMode(uint8 mode) ;
uint8   OverVFault_ReadDataReg(void) ;
uint8   OverVFault_Read(void) ;
uint8   OverVFault_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OverVFault_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OverVFault_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OverVFault_DM_RES_UP          PIN_DM_RES_UP
#define OverVFault_DM_RES_DWN         PIN_DM_RES_DWN
#define OverVFault_DM_OD_LO           PIN_DM_OD_LO
#define OverVFault_DM_OD_HI           PIN_DM_OD_HI
#define OverVFault_DM_STRONG          PIN_DM_STRONG
#define OverVFault_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OverVFault_MASK               OverVFault__MASK
#define OverVFault_SHIFT              OverVFault__SHIFT
#define OverVFault_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OverVFault_PS                     (* (reg8 *) OverVFault__PS)
/* Data Register */
#define OverVFault_DR                     (* (reg8 *) OverVFault__DR)
/* Port Number */
#define OverVFault_PRT_NUM                (* (reg8 *) OverVFault__PRT) 
/* Connect to Analog Globals */                                                  
#define OverVFault_AG                     (* (reg8 *) OverVFault__AG)                       
/* Analog MUX bux enable */
#define OverVFault_AMUX                   (* (reg8 *) OverVFault__AMUX) 
/* Bidirectional Enable */                                                        
#define OverVFault_BIE                    (* (reg8 *) OverVFault__BIE)
/* Bit-mask for Aliased Register Access */
#define OverVFault_BIT_MASK               (* (reg8 *) OverVFault__BIT_MASK)
/* Bypass Enable */
#define OverVFault_BYP                    (* (reg8 *) OverVFault__BYP)
/* Port wide control signals */                                                   
#define OverVFault_CTL                    (* (reg8 *) OverVFault__CTL)
/* Drive Modes */
#define OverVFault_DM0                    (* (reg8 *) OverVFault__DM0) 
#define OverVFault_DM1                    (* (reg8 *) OverVFault__DM1)
#define OverVFault_DM2                    (* (reg8 *) OverVFault__DM2) 
/* Input Buffer Disable Override */
#define OverVFault_INP_DIS                (* (reg8 *) OverVFault__INP_DIS)
/* LCD Common or Segment Drive */
#define OverVFault_LCD_COM_SEG            (* (reg8 *) OverVFault__LCD_COM_SEG)
/* Enable Segment LCD */
#define OverVFault_LCD_EN                 (* (reg8 *) OverVFault__LCD_EN)
/* Slew Rate Control */
#define OverVFault_SLW                    (* (reg8 *) OverVFault__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OverVFault_PRTDSI__CAPS_SEL       (* (reg8 *) OverVFault__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OverVFault_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OverVFault__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OverVFault_PRTDSI__OE_SEL0        (* (reg8 *) OverVFault__PRTDSI__OE_SEL0) 
#define OverVFault_PRTDSI__OE_SEL1        (* (reg8 *) OverVFault__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OverVFault_PRTDSI__OUT_SEL0       (* (reg8 *) OverVFault__PRTDSI__OUT_SEL0) 
#define OverVFault_PRTDSI__OUT_SEL1       (* (reg8 *) OverVFault__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OverVFault_PRTDSI__SYNC_OUT       (* (reg8 *) OverVFault__PRTDSI__SYNC_OUT) 


#if defined(OverVFault__INTSTAT)  /* Interrupt Registers */

    #define OverVFault_INTSTAT                (* (reg8 *) OverVFault__INTSTAT)
    #define OverVFault_SNAP                   (* (reg8 *) OverVFault__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins OverVFault_H */


/* [] END OF FILE */
