/*******************************************************************************
* File Name: PowerOnEnable.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PowerOnEnable_H) /* Pins PowerOnEnable_H */
#define CY_PINS_PowerOnEnable_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PowerOnEnable_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PowerOnEnable_Write(uint8 value) ;
void    PowerOnEnable_SetDriveMode(uint8 mode) ;
uint8   PowerOnEnable_ReadDataReg(void) ;
uint8   PowerOnEnable_Read(void) ;
uint8   PowerOnEnable_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PowerOnEnable_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PowerOnEnable_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PowerOnEnable_DM_RES_UP          PIN_DM_RES_UP
#define PowerOnEnable_DM_RES_DWN         PIN_DM_RES_DWN
#define PowerOnEnable_DM_OD_LO           PIN_DM_OD_LO
#define PowerOnEnable_DM_OD_HI           PIN_DM_OD_HI
#define PowerOnEnable_DM_STRONG          PIN_DM_STRONG
#define PowerOnEnable_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PowerOnEnable_MASK               PowerOnEnable__MASK
#define PowerOnEnable_SHIFT              PowerOnEnable__SHIFT
#define PowerOnEnable_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PowerOnEnable_PS                     (* (reg8 *) PowerOnEnable__PS)
/* Data Register */
#define PowerOnEnable_DR                     (* (reg8 *) PowerOnEnable__DR)
/* Port Number */
#define PowerOnEnable_PRT_NUM                (* (reg8 *) PowerOnEnable__PRT) 
/* Connect to Analog Globals */                                                  
#define PowerOnEnable_AG                     (* (reg8 *) PowerOnEnable__AG)                       
/* Analog MUX bux enable */
#define PowerOnEnable_AMUX                   (* (reg8 *) PowerOnEnable__AMUX) 
/* Bidirectional Enable */                                                        
#define PowerOnEnable_BIE                    (* (reg8 *) PowerOnEnable__BIE)
/* Bit-mask for Aliased Register Access */
#define PowerOnEnable_BIT_MASK               (* (reg8 *) PowerOnEnable__BIT_MASK)
/* Bypass Enable */
#define PowerOnEnable_BYP                    (* (reg8 *) PowerOnEnable__BYP)
/* Port wide control signals */                                                   
#define PowerOnEnable_CTL                    (* (reg8 *) PowerOnEnable__CTL)
/* Drive Modes */
#define PowerOnEnable_DM0                    (* (reg8 *) PowerOnEnable__DM0) 
#define PowerOnEnable_DM1                    (* (reg8 *) PowerOnEnable__DM1)
#define PowerOnEnable_DM2                    (* (reg8 *) PowerOnEnable__DM2) 
/* Input Buffer Disable Override */
#define PowerOnEnable_INP_DIS                (* (reg8 *) PowerOnEnable__INP_DIS)
/* LCD Common or Segment Drive */
#define PowerOnEnable_LCD_COM_SEG            (* (reg8 *) PowerOnEnable__LCD_COM_SEG)
/* Enable Segment LCD */
#define PowerOnEnable_LCD_EN                 (* (reg8 *) PowerOnEnable__LCD_EN)
/* Slew Rate Control */
#define PowerOnEnable_SLW                    (* (reg8 *) PowerOnEnable__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PowerOnEnable_PRTDSI__CAPS_SEL       (* (reg8 *) PowerOnEnable__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PowerOnEnable_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PowerOnEnable__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PowerOnEnable_PRTDSI__OE_SEL0        (* (reg8 *) PowerOnEnable__PRTDSI__OE_SEL0) 
#define PowerOnEnable_PRTDSI__OE_SEL1        (* (reg8 *) PowerOnEnable__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PowerOnEnable_PRTDSI__OUT_SEL0       (* (reg8 *) PowerOnEnable__PRTDSI__OUT_SEL0) 
#define PowerOnEnable_PRTDSI__OUT_SEL1       (* (reg8 *) PowerOnEnable__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PowerOnEnable_PRTDSI__SYNC_OUT       (* (reg8 *) PowerOnEnable__PRTDSI__SYNC_OUT) 


#if defined(PowerOnEnable__INTSTAT)  /* Interrupt Registers */

    #define PowerOnEnable_INTSTAT                (* (reg8 *) PowerOnEnable__INTSTAT)
    #define PowerOnEnable_SNAP                   (* (reg8 *) PowerOnEnable__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PowerOnEnable_H */


/* [] END OF FILE */
