/*******************************************************************************
* File Name: ResetLatch.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ResetLatch_H) /* Pins ResetLatch_H */
#define CY_PINS_ResetLatch_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ResetLatch_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ResetLatch_Write(uint8 value) ;
void    ResetLatch_SetDriveMode(uint8 mode) ;
uint8   ResetLatch_ReadDataReg(void) ;
uint8   ResetLatch_Read(void) ;
uint8   ResetLatch_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ResetLatch_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ResetLatch_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ResetLatch_DM_RES_UP          PIN_DM_RES_UP
#define ResetLatch_DM_RES_DWN         PIN_DM_RES_DWN
#define ResetLatch_DM_OD_LO           PIN_DM_OD_LO
#define ResetLatch_DM_OD_HI           PIN_DM_OD_HI
#define ResetLatch_DM_STRONG          PIN_DM_STRONG
#define ResetLatch_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ResetLatch_MASK               ResetLatch__MASK
#define ResetLatch_SHIFT              ResetLatch__SHIFT
#define ResetLatch_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ResetLatch_PS                     (* (reg8 *) ResetLatch__PS)
/* Data Register */
#define ResetLatch_DR                     (* (reg8 *) ResetLatch__DR)
/* Port Number */
#define ResetLatch_PRT_NUM                (* (reg8 *) ResetLatch__PRT) 
/* Connect to Analog Globals */                                                  
#define ResetLatch_AG                     (* (reg8 *) ResetLatch__AG)                       
/* Analog MUX bux enable */
#define ResetLatch_AMUX                   (* (reg8 *) ResetLatch__AMUX) 
/* Bidirectional Enable */                                                        
#define ResetLatch_BIE                    (* (reg8 *) ResetLatch__BIE)
/* Bit-mask for Aliased Register Access */
#define ResetLatch_BIT_MASK               (* (reg8 *) ResetLatch__BIT_MASK)
/* Bypass Enable */
#define ResetLatch_BYP                    (* (reg8 *) ResetLatch__BYP)
/* Port wide control signals */                                                   
#define ResetLatch_CTL                    (* (reg8 *) ResetLatch__CTL)
/* Drive Modes */
#define ResetLatch_DM0                    (* (reg8 *) ResetLatch__DM0) 
#define ResetLatch_DM1                    (* (reg8 *) ResetLatch__DM1)
#define ResetLatch_DM2                    (* (reg8 *) ResetLatch__DM2) 
/* Input Buffer Disable Override */
#define ResetLatch_INP_DIS                (* (reg8 *) ResetLatch__INP_DIS)
/* LCD Common or Segment Drive */
#define ResetLatch_LCD_COM_SEG            (* (reg8 *) ResetLatch__LCD_COM_SEG)
/* Enable Segment LCD */
#define ResetLatch_LCD_EN                 (* (reg8 *) ResetLatch__LCD_EN)
/* Slew Rate Control */
#define ResetLatch_SLW                    (* (reg8 *) ResetLatch__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ResetLatch_PRTDSI__CAPS_SEL       (* (reg8 *) ResetLatch__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ResetLatch_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ResetLatch__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ResetLatch_PRTDSI__OE_SEL0        (* (reg8 *) ResetLatch__PRTDSI__OE_SEL0) 
#define ResetLatch_PRTDSI__OE_SEL1        (* (reg8 *) ResetLatch__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ResetLatch_PRTDSI__OUT_SEL0       (* (reg8 *) ResetLatch__PRTDSI__OUT_SEL0) 
#define ResetLatch_PRTDSI__OUT_SEL1       (* (reg8 *) ResetLatch__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ResetLatch_PRTDSI__SYNC_OUT       (* (reg8 *) ResetLatch__PRTDSI__SYNC_OUT) 


#if defined(ResetLatch__INTSTAT)  /* Interrupt Registers */

    #define ResetLatch_INTSTAT                (* (reg8 *) ResetLatch__INTSTAT)
    #define ResetLatch_SNAP                   (* (reg8 *) ResetLatch__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins ResetLatch_H */


/* [] END OF FILE */
