/*******************************************************************************
* File Name: SlowHigh.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SlowHigh_H) /* Pins SlowHigh_H */
#define CY_PINS_SlowHigh_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SlowHigh_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SlowHigh_Write(uint8 value) ;
void    SlowHigh_SetDriveMode(uint8 mode) ;
uint8   SlowHigh_ReadDataReg(void) ;
uint8   SlowHigh_Read(void) ;
uint8   SlowHigh_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SlowHigh_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SlowHigh_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SlowHigh_DM_RES_UP          PIN_DM_RES_UP
#define SlowHigh_DM_RES_DWN         PIN_DM_RES_DWN
#define SlowHigh_DM_OD_LO           PIN_DM_OD_LO
#define SlowHigh_DM_OD_HI           PIN_DM_OD_HI
#define SlowHigh_DM_STRONG          PIN_DM_STRONG
#define SlowHigh_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SlowHigh_MASK               SlowHigh__MASK
#define SlowHigh_SHIFT              SlowHigh__SHIFT
#define SlowHigh_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SlowHigh_PS                     (* (reg8 *) SlowHigh__PS)
/* Data Register */
#define SlowHigh_DR                     (* (reg8 *) SlowHigh__DR)
/* Port Number */
#define SlowHigh_PRT_NUM                (* (reg8 *) SlowHigh__PRT) 
/* Connect to Analog Globals */                                                  
#define SlowHigh_AG                     (* (reg8 *) SlowHigh__AG)                       
/* Analog MUX bux enable */
#define SlowHigh_AMUX                   (* (reg8 *) SlowHigh__AMUX) 
/* Bidirectional Enable */                                                        
#define SlowHigh_BIE                    (* (reg8 *) SlowHigh__BIE)
/* Bit-mask for Aliased Register Access */
#define SlowHigh_BIT_MASK               (* (reg8 *) SlowHigh__BIT_MASK)
/* Bypass Enable */
#define SlowHigh_BYP                    (* (reg8 *) SlowHigh__BYP)
/* Port wide control signals */                                                   
#define SlowHigh_CTL                    (* (reg8 *) SlowHigh__CTL)
/* Drive Modes */
#define SlowHigh_DM0                    (* (reg8 *) SlowHigh__DM0) 
#define SlowHigh_DM1                    (* (reg8 *) SlowHigh__DM1)
#define SlowHigh_DM2                    (* (reg8 *) SlowHigh__DM2) 
/* Input Buffer Disable Override */
#define SlowHigh_INP_DIS                (* (reg8 *) SlowHigh__INP_DIS)
/* LCD Common or Segment Drive */
#define SlowHigh_LCD_COM_SEG            (* (reg8 *) SlowHigh__LCD_COM_SEG)
/* Enable Segment LCD */
#define SlowHigh_LCD_EN                 (* (reg8 *) SlowHigh__LCD_EN)
/* Slew Rate Control */
#define SlowHigh_SLW                    (* (reg8 *) SlowHigh__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SlowHigh_PRTDSI__CAPS_SEL       (* (reg8 *) SlowHigh__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SlowHigh_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SlowHigh__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SlowHigh_PRTDSI__OE_SEL0        (* (reg8 *) SlowHigh__PRTDSI__OE_SEL0) 
#define SlowHigh_PRTDSI__OE_SEL1        (* (reg8 *) SlowHigh__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SlowHigh_PRTDSI__OUT_SEL0       (* (reg8 *) SlowHigh__PRTDSI__OUT_SEL0) 
#define SlowHigh_PRTDSI__OUT_SEL1       (* (reg8 *) SlowHigh__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SlowHigh_PRTDSI__SYNC_OUT       (* (reg8 *) SlowHigh__PRTDSI__SYNC_OUT) 


#if defined(SlowHigh__INTSTAT)  /* Interrupt Registers */

    #define SlowHigh_INTSTAT                (* (reg8 *) SlowHigh__INTSTAT)
    #define SlowHigh_SNAP                   (* (reg8 *) SlowHigh__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SlowHigh_H */


/* [] END OF FILE */
