/*******************************************************************************
* File Name: SlowLowOut.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SlowLowOut_H) /* Pins SlowLowOut_H */
#define CY_PINS_SlowLowOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SlowLowOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SlowLowOut_Write(uint8 value) ;
void    SlowLowOut_SetDriveMode(uint8 mode) ;
uint8   SlowLowOut_ReadDataReg(void) ;
uint8   SlowLowOut_Read(void) ;
uint8   SlowLowOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SlowLowOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SlowLowOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SlowLowOut_DM_RES_UP          PIN_DM_RES_UP
#define SlowLowOut_DM_RES_DWN         PIN_DM_RES_DWN
#define SlowLowOut_DM_OD_LO           PIN_DM_OD_LO
#define SlowLowOut_DM_OD_HI           PIN_DM_OD_HI
#define SlowLowOut_DM_STRONG          PIN_DM_STRONG
#define SlowLowOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SlowLowOut_MASK               SlowLowOut__MASK
#define SlowLowOut_SHIFT              SlowLowOut__SHIFT
#define SlowLowOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SlowLowOut_PS                     (* (reg8 *) SlowLowOut__PS)
/* Data Register */
#define SlowLowOut_DR                     (* (reg8 *) SlowLowOut__DR)
/* Port Number */
#define SlowLowOut_PRT_NUM                (* (reg8 *) SlowLowOut__PRT) 
/* Connect to Analog Globals */                                                  
#define SlowLowOut_AG                     (* (reg8 *) SlowLowOut__AG)                       
/* Analog MUX bux enable */
#define SlowLowOut_AMUX                   (* (reg8 *) SlowLowOut__AMUX) 
/* Bidirectional Enable */                                                        
#define SlowLowOut_BIE                    (* (reg8 *) SlowLowOut__BIE)
/* Bit-mask for Aliased Register Access */
#define SlowLowOut_BIT_MASK               (* (reg8 *) SlowLowOut__BIT_MASK)
/* Bypass Enable */
#define SlowLowOut_BYP                    (* (reg8 *) SlowLowOut__BYP)
/* Port wide control signals */                                                   
#define SlowLowOut_CTL                    (* (reg8 *) SlowLowOut__CTL)
/* Drive Modes */
#define SlowLowOut_DM0                    (* (reg8 *) SlowLowOut__DM0) 
#define SlowLowOut_DM1                    (* (reg8 *) SlowLowOut__DM1)
#define SlowLowOut_DM2                    (* (reg8 *) SlowLowOut__DM2) 
/* Input Buffer Disable Override */
#define SlowLowOut_INP_DIS                (* (reg8 *) SlowLowOut__INP_DIS)
/* LCD Common or Segment Drive */
#define SlowLowOut_LCD_COM_SEG            (* (reg8 *) SlowLowOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define SlowLowOut_LCD_EN                 (* (reg8 *) SlowLowOut__LCD_EN)
/* Slew Rate Control */
#define SlowLowOut_SLW                    (* (reg8 *) SlowLowOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SlowLowOut_PRTDSI__CAPS_SEL       (* (reg8 *) SlowLowOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SlowLowOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SlowLowOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SlowLowOut_PRTDSI__OE_SEL0        (* (reg8 *) SlowLowOut__PRTDSI__OE_SEL0) 
#define SlowLowOut_PRTDSI__OE_SEL1        (* (reg8 *) SlowLowOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SlowLowOut_PRTDSI__OUT_SEL0       (* (reg8 *) SlowLowOut__PRTDSI__OUT_SEL0) 
#define SlowLowOut_PRTDSI__OUT_SEL1       (* (reg8 *) SlowLowOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SlowLowOut_PRTDSI__SYNC_OUT       (* (reg8 *) SlowLowOut__PRTDSI__SYNC_OUT) 


#if defined(SlowLowOut__INTSTAT)  /* Interrupt Registers */

    #define SlowLowOut_INTSTAT                (* (reg8 *) SlowLowOut__INTSTAT)
    #define SlowLowOut_SNAP                   (* (reg8 *) SlowLowOut__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SlowLowOut_H */


/* [] END OF FILE */
