/*******************************************************************************
* File Name: StatusBit.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_StatusBit_H) /* Pins StatusBit_H */
#define CY_PINS_StatusBit_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "StatusBit_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    StatusBit_Write(uint8 value) ;
void    StatusBit_SetDriveMode(uint8 mode) ;
uint8   StatusBit_ReadDataReg(void) ;
uint8   StatusBit_Read(void) ;
uint8   StatusBit_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define StatusBit_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define StatusBit_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define StatusBit_DM_RES_UP          PIN_DM_RES_UP
#define StatusBit_DM_RES_DWN         PIN_DM_RES_DWN
#define StatusBit_DM_OD_LO           PIN_DM_OD_LO
#define StatusBit_DM_OD_HI           PIN_DM_OD_HI
#define StatusBit_DM_STRONG          PIN_DM_STRONG
#define StatusBit_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define StatusBit_MASK               StatusBit__MASK
#define StatusBit_SHIFT              StatusBit__SHIFT
#define StatusBit_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define StatusBit_PS                     (* (reg8 *) StatusBit__PS)
/* Data Register */
#define StatusBit_DR                     (* (reg8 *) StatusBit__DR)
/* Port Number */
#define StatusBit_PRT_NUM                (* (reg8 *) StatusBit__PRT) 
/* Connect to Analog Globals */                                                  
#define StatusBit_AG                     (* (reg8 *) StatusBit__AG)                       
/* Analog MUX bux enable */
#define StatusBit_AMUX                   (* (reg8 *) StatusBit__AMUX) 
/* Bidirectional Enable */                                                        
#define StatusBit_BIE                    (* (reg8 *) StatusBit__BIE)
/* Bit-mask for Aliased Register Access */
#define StatusBit_BIT_MASK               (* (reg8 *) StatusBit__BIT_MASK)
/* Bypass Enable */
#define StatusBit_BYP                    (* (reg8 *) StatusBit__BYP)
/* Port wide control signals */                                                   
#define StatusBit_CTL                    (* (reg8 *) StatusBit__CTL)
/* Drive Modes */
#define StatusBit_DM0                    (* (reg8 *) StatusBit__DM0) 
#define StatusBit_DM1                    (* (reg8 *) StatusBit__DM1)
#define StatusBit_DM2                    (* (reg8 *) StatusBit__DM2) 
/* Input Buffer Disable Override */
#define StatusBit_INP_DIS                (* (reg8 *) StatusBit__INP_DIS)
/* LCD Common or Segment Drive */
#define StatusBit_LCD_COM_SEG            (* (reg8 *) StatusBit__LCD_COM_SEG)
/* Enable Segment LCD */
#define StatusBit_LCD_EN                 (* (reg8 *) StatusBit__LCD_EN)
/* Slew Rate Control */
#define StatusBit_SLW                    (* (reg8 *) StatusBit__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define StatusBit_PRTDSI__CAPS_SEL       (* (reg8 *) StatusBit__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define StatusBit_PRTDSI__DBL_SYNC_IN    (* (reg8 *) StatusBit__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define StatusBit_PRTDSI__OE_SEL0        (* (reg8 *) StatusBit__PRTDSI__OE_SEL0) 
#define StatusBit_PRTDSI__OE_SEL1        (* (reg8 *) StatusBit__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define StatusBit_PRTDSI__OUT_SEL0       (* (reg8 *) StatusBit__PRTDSI__OUT_SEL0) 
#define StatusBit_PRTDSI__OUT_SEL1       (* (reg8 *) StatusBit__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define StatusBit_PRTDSI__SYNC_OUT       (* (reg8 *) StatusBit__PRTDSI__SYNC_OUT) 


#if defined(StatusBit__INTSTAT)  /* Interrupt Registers */

    #define StatusBit_INTSTAT                (* (reg8 *) StatusBit__INTSTAT)
    #define StatusBit_SNAP                   (* (reg8 *) StatusBit__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins StatusBit_H */


/* [] END OF FILE */
