/*******************************************************************************
* File Name: myRmon.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_myRmon_H) /* Pins myRmon_H */
#define CY_PINS_myRmon_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "myRmon_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    myRmon_Write(uint8 value) ;
void    myRmon_SetDriveMode(uint8 mode) ;
uint8   myRmon_ReadDataReg(void) ;
uint8   myRmon_Read(void) ;
uint8   myRmon_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define myRmon_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define myRmon_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define myRmon_DM_RES_UP          PIN_DM_RES_UP
#define myRmon_DM_RES_DWN         PIN_DM_RES_DWN
#define myRmon_DM_OD_LO           PIN_DM_OD_LO
#define myRmon_DM_OD_HI           PIN_DM_OD_HI
#define myRmon_DM_STRONG          PIN_DM_STRONG
#define myRmon_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define myRmon_MASK               myRmon__MASK
#define myRmon_SHIFT              myRmon__SHIFT
#define myRmon_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define myRmon_PS                     (* (reg8 *) myRmon__PS)
/* Data Register */
#define myRmon_DR                     (* (reg8 *) myRmon__DR)
/* Port Number */
#define myRmon_PRT_NUM                (* (reg8 *) myRmon__PRT) 
/* Connect to Analog Globals */                                                  
#define myRmon_AG                     (* (reg8 *) myRmon__AG)                       
/* Analog MUX bux enable */
#define myRmon_AMUX                   (* (reg8 *) myRmon__AMUX) 
/* Bidirectional Enable */                                                        
#define myRmon_BIE                    (* (reg8 *) myRmon__BIE)
/* Bit-mask for Aliased Register Access */
#define myRmon_BIT_MASK               (* (reg8 *) myRmon__BIT_MASK)
/* Bypass Enable */
#define myRmon_BYP                    (* (reg8 *) myRmon__BYP)
/* Port wide control signals */                                                   
#define myRmon_CTL                    (* (reg8 *) myRmon__CTL)
/* Drive Modes */
#define myRmon_DM0                    (* (reg8 *) myRmon__DM0) 
#define myRmon_DM1                    (* (reg8 *) myRmon__DM1)
#define myRmon_DM2                    (* (reg8 *) myRmon__DM2) 
/* Input Buffer Disable Override */
#define myRmon_INP_DIS                (* (reg8 *) myRmon__INP_DIS)
/* LCD Common or Segment Drive */
#define myRmon_LCD_COM_SEG            (* (reg8 *) myRmon__LCD_COM_SEG)
/* Enable Segment LCD */
#define myRmon_LCD_EN                 (* (reg8 *) myRmon__LCD_EN)
/* Slew Rate Control */
#define myRmon_SLW                    (* (reg8 *) myRmon__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define myRmon_PRTDSI__CAPS_SEL       (* (reg8 *) myRmon__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define myRmon_PRTDSI__DBL_SYNC_IN    (* (reg8 *) myRmon__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define myRmon_PRTDSI__OE_SEL0        (* (reg8 *) myRmon__PRTDSI__OE_SEL0) 
#define myRmon_PRTDSI__OE_SEL1        (* (reg8 *) myRmon__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define myRmon_PRTDSI__OUT_SEL0       (* (reg8 *) myRmon__PRTDSI__OUT_SEL0) 
#define myRmon_PRTDSI__OUT_SEL1       (* (reg8 *) myRmon__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define myRmon_PRTDSI__SYNC_OUT       (* (reg8 *) myRmon__PRTDSI__SYNC_OUT) 


#if defined(myRmon__INTSTAT)  /* Interrupt Registers */

    #define myRmon_INTSTAT                (* (reg8 *) myRmon__INTSTAT)
    #define myRmon_SNAP                   (* (reg8 *) myRmon__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins myRmon_H */


/* [] END OF FILE */
