

#include <project.h>
#include <stdio.h>

#if defined (__GNUC__)
    /* Add an explicit reference to the floating point printf library */
    /* to allow the usage of floating point conversion specifiers. */
    /* This is not linked in by default with the newlib-nano library. */
    asm (".global _printf_float");
#endif



int flashDelay = 60;//Establishes a 60mSec delay for LED flashing time
int i, pinState;//variable used in checking the logic status of a button pin
int read = 750;//a variable to set the time to read the LCD display
float output;//variable used to store ADC conversion result
float cal = 0.129;//calibration coefficient that is a ratio of voltage at 
// TP24/uncorrected LCD readout/10.  Set to 0.1 for no calibration correction

 
void mywrite(char *z)// a function that writes a string to the LCD display
{
    LCD_ClearDisplay();
    LCD_PrintString(z);
}

int buttonCheck(char *msg, int pin)//a function that checks the state of a button
{ 
    mywrite(msg);
    
    do {
        CyDelay(10);
        pinState = CyPins_ReadPin(pin);
    } while(pinState != 0);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK");
    CyDelay(read);
    }
int readTheAdc()
{

    mywrite("Test Code V1");
    CyDelay(2000);
    mywrite("Testing ADC");
    CyDelay(2000);
    mywrite("Slow UP to exit");
    CyDelay(3000);
    mywrite("HVMon(TP24) =");
    
    do {
        CyDelay(10);
        pinState = CyPins_ReadPin(SlowHigh_0);
        if(ADC_DelSig_1_IsEndConversion(ADC_DelSig_1_RETURN_STATUS))
        {
            output = ADC_DelSig_1_GetResult32(); /*get a 32 bit number from the ADC*/
            output = ADC_DelSig_1_CountsTo_mVolts(output); /*Convert counts to mV*/
            output = output * cal; /*Scale the result to reflect Volts in the real world*/
            LCD_Position(1u, 0u);
            LCD_PrintString("         "); /*Clear the old value*/
            LCD_Position(1u, 0u);
            LCD_PrintNumber(output); /*Print the number*/
            LCD_Position(1u, 4u);
            LCD_PrintString(" VDC"); /*then print "VDC"*/
			CyDelay(100u); /* 0.1 second refresh delay*/
        }

    }while(pinState != 0);
}

int ledCheck()
{
    LCD_ClearDisplay();
    LCD_PrintString("Testing LEDs");
    CyDelay(1000);
    LCD_ClearDisplay();

    LCD_PrintString("Status LED");
    LCD_Position(1u, 0u);
LCD_PrintString("Push Slow Up");
    do{
        pinState = SlowHigh_Read();
        StatusBit_Write(1);/*Flash  Status Bit LED*/
        CyDelay(flashDelay);
        StatusBit_Write(0);
        CyDelay(flashDelay);
      }while(pinState == 1);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK"); 
    CyDelay (read);
    
    LCD_ClearDisplay();
    LCD_PrintString("Fast Up LED");
    LCD_Position(1u, 0u);
LCD_PrintString("Push Slow Up");
    do{
        pinState = SlowHigh_Read();
        FastHiOut_Write(1);/*Flash  Fast Up LED*/
        CyDelay(flashDelay);
        FastHiOut_Write(0);
        CyDelay(flashDelay);
      }while(pinState == 1);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK"); 
    CyDelay (read); 
    
    LCD_ClearDisplay();
    LCD_PrintString("HVReady LED");
    LCD_Position(1u, 0u);
LCD_PrintString("Push Slow Up");
    do{
        pinState = SlowHigh_Read();
        HVReadyBit_Write(1);/*Flash  HVReady LED*/
        CyDelay(flashDelay);
        HVReadyBit_Write(0);
        CyDelay(flashDelay);
      }while(pinState == 1);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK"); 
    CyDelay (read);

     
    LCD_ClearDisplay();
    LCD_PrintString("Slow Up LED");
    LCD_Position(1u, 0u);   
LCD_PrintString("Push Slow Up");
    do{
        pinState = SlowHigh_Read();
        SlowHiOut_Write(1);/*Flash  Slow Up LED*/
        CyDelay(flashDelay);
        SlowHiOut_Write(0);
        CyDelay(flashDelay);
      }while(pinState == 1);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK"); 
    CyDelay (read);    

        
    LCD_ClearDisplay();
    LCD_PrintString("Slow Low LED");
    LCD_Position(1u, 0u);
LCD_PrintString("Push Slow Up");
    do{
        pinState = SlowHigh_Read();
        SlowLowOut_Write(1);/*Flash  Slow Low LED*/
        CyDelay(flashDelay);
        SlowLowOut_Write(0);
        CyDelay(flashDelay);
      }while(pinState == 1);
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("OK"); 
    CyDelay (read);

    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    LCD_PrintString("LEDs Done");
    CyDelay (read);
    LCD_ClearDisplay();
    }
  
void main()
{
    LCD_Start();
    ADC_DelSig_1_Start();
    ADC_DelSig_1_StartConvert();
    LCD_ClearDisplay();
    LCD_Position(0u, 0u);
    
    for(;;)
    {
    readTheAdc();
//    buttonCheck("Push Slow Up", SlowHigh_0);
    buttonCheck("Push Slow Down", SlowLow_0);
    buttonCheck("Push Fast Up", myFast_0);
//    buttonCheck("Lower Pos Supply", UnderVFault_0);
//    buttonCheck("Push Slow Up",SlowHigh_0);
//    buttonCheck("Lower Neg Supply", UnderVFault_0);
//    buttonCheck("Push Slow Up",SlowHigh_0);
    buttonCheck("Do Open Coil", myRmon_0);
    CyDelay (3000);
    ledCheck();
    }

}

    








